solution "Flock"
  configurations { "Debug", "Release" }

  newoption {
     trigger = "monocle",
     value = "PATH",
     description = "Path to Monocle source"
  }

  if _OPTIONS["monocle"] then
     _MONOCLE_BASE = _OPTIONS["monocle"]
     _MONOCLE_APP_BASE = _OPTIONS["monocle"]
     dofile(_OPTIONS["monocle"] .. "/premake4-helper.lua")
     libdirs(_BUILD_BASE) -- where monocle puts libMonocleCore[Debug].a
     monocle_os_defines()
     monocle_os_includedirs()
     monocle_os_links_base()
  else 
     if not _OPTIONS["help"] then
	--error("ERROR: you must set the --monocle option", 0)
	print("ERROR: you must set the --monocle option")
	return false
     end
  end

 
  project "Flock"
    kind "ConsoleApp" -- Might need to be WindowedApp on win/mac?
    language "C++"
    files { "**.h", "**.cpp" }
 
    if os.is("windows") then
       libdirs {"/c/WINDOWS/system32"}
    end

    configuration "Debug"
      defines { "DEBUG" }
      flags { "Symbols" }
      links { "MonocleCoreDebug" }
 
    configuration "Release"
      defines { "NDEBUG" }
      flags { "Optimize" }  
      links { "MonocleCore" }